Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-82605

Fix deprecated signals' warnings

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.15, 6.0 (Next Major Release)
    • Fix Version/s: 5.15.0 RC
    • Component/s: Network
    • Labels:
      None
    • Platform/s:
      All
    • Commits:
      6d6bfcb9ad2ed2f8613ac3120233b9dbe011c644 (qt/qtbase/dev)
    • Story Points:
      8
    • Sprint:
      Qt6_Foundation_ Sprint 5

      Description

      We fixed ambiguous overloads in QtNetwork and also cleaned up Qt itself not to have warnings. Now that this job was undone and another solution shoehorned, we have to ... clean up these warnings again and then, finally, we will remove ambiguous overloads in Qt 6 (aka dev). Previously, the modules affected included: qtdeclarative, qtsvg, qtlocation, qtwebsockets, qtwinextras, qtdoc, qt3d.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            tpochep Timur Pocheptsov
            Reporter:
            tpochep Timur Pocheptsov
            PM Owner:
            Maurice Kalinowski
            RnD Owner:
            Alex Blasche
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: